(function() {

    var app = angular.module('cursoNg123', []);

    app.controller('AgendaController',
        ['$scope',
        function($scope) {
            $scope.contatos = [
                {nome: 'Fernando', sobrenome: 'Rodrigues Baroni',
                    telefone: 5515996218011, cidade: 'Sorocaba'},
                {nome: 'Angelina', sobrenome: 'Batista',
                    telefone: 5515883144931, cidade: 'São Roque'},
                {nome: 'Mateus', sobrenome: 'Santos',
                    telefone: 5515139891132, cidade: 'Itapetininga'},
            ];
        }
    ]);

    app.directive('meuContato', function() {
        return {
            restrict: 'A',
            template: "" + 
                "<p>" +
                "    <span>{{contato.nome + ' ' + contato.sobrenome}}</span>" + 
                "    <span style=\"color: #808080\" " +
                "          ng-bind=\"contato.cidade\">" + 
                "    </span><br/>" + 
                "    Telefone: <span ng-bind=\"contato.telefone\"></span>" + 
                "</p>"
        };
    });
})();

